:root {
  --light-grey: rgb(230, 230, 230);
  --dark-grey: rgb(124, 123, 123);
  --dark-radial-bg: rgb(2,0,36);

  --content-font: 'Poppins', sans-serif;

  --base-font-size: 16px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: rgb(2,0,36);
  background: radial-gradient(circle, var(--dark-radial-bg) 0%, rgba(7,7,52,1) 86%, rgba(1,89,107,1) 100%);
  color: var(--light-grey);
  font-family: var(--content-font);
  font-size: var(--base-font-size);
}

.header {
  width: 100vw;
  height: 10vh;
  display: flex;
  justify-content: flex-start; 
  align-items: center; 
  /* flex-flow: column nowrap; */ 
  flex-direction: column; 
  flex-wrap: nowrap; 
  align-content: flex-start;
}

.title {
  padding-top: 2rem;
  margin-bottom: 2rem;
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: center;
  order: 0;
}

.username {
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: flex-end;
  order: 0;
  margin-top: -3.6rem;
  margin-right: 3rem;
  border-radius: 200rem;
  background: var(--dark-radial-bg);
  color: var(--light-grey);
  padding: 1rem;
  font-size: 1rem;
  width: auto;
  text-align: center;
}

/* main content */
#root {
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

/* Home */
.greetings {
  margin: 3rem 0;
  font-size: 1.5rem;
}

.sub-title {
  margin: 3rem 0;
}

.utility-link {
  color: var(--light-grey);
  text-decoration: underline;
  padding-bottom: 0.5rem;
  font-size: 18px;
  font-weight: bold;
}

.utility-link:hover {
  color: white;
  text-decoration: none;
}

.utility-link:visited {
  color: var(--dark-grey);
}

/* Login page */
.login-form-content {
  margin-top: 10rem;
}

.login-form.title {
  margin-top: 3rem;
}

.input-container {
  margin: 2rem 0;
}
.input-container > label {
  display: block;
  margin-bottom: 0.7rem;
}
.input-container > input {
  display: block;
  width: 150%;
  padding: 0.5rem;
  border-radius: 0.5rem;
  border: none;
}

.submit-button {
  margin-top: 1rem;
  width: 100%;
  padding: 0.5rem;
  border-radius: 0.5rem;
  border: 1px solid var(--dark-grey);
  background: var(--dark-radial-bg);
  color: var(--light-grey);
  font-weight: bold;
  font-size: 18px;
}